summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMartin Doege2015-07-13 13:40:55 +0200
committerMartin Doege2015-07-13 13:40:55 +0200
commitc0d7079cfcd8d4fc59ca84b3b996b7f2eca15e04 (patch)
treea6731284893f7ea64937e38ce4307c6113575c83
downloadaur-c0d7079cfcd8d4fc59ca84b3b996b7f2eca15e04.tar.gz
import; update version
-rw-r--r--.SRCINFO24
-rw-r--r--PKGBUILD24
2 files changed, 48 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e7e5a55fc16
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,24 @@
+pkgbase = openastro
+ pkgdesc = OpenAstro is an open source fully featured astrology software.
+ pkgver = 1.1.48
+ pkgrel = 1
+ url = http://www.openastro.org/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = setuptools
+ depends = imagemagick
+ depends = python2-dateutil
+ depends = python2-rsvg
+ depends = python2-pytz
+ depends = pyswisseph
+ conflicts = openastro-dev
+ conflicts = swisseph_18
+ conflicts = swisseph-fixstars
+ source = openastro.org_1.1.48.orig.tar.gz::http://www.openastro.org/download.php?file=source&type=openastro
+ source = openastro.org-data_1.5.orig.tar.gz::http://openastro.org/download.php?file=source&type=data
+ md5sums = dd469dcd685e93feec2135cdd518ac6f
+ md5sums = 4c7afd47fc261bfb49753af740bceb14
+
+pkgname = openastro
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..6cbc844f2c9
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,24 @@
+pkgname='openastro'
+pkgver='1.1.48'
+pkgrel='1'
+pkgdesc='OpenAstro is an open source fully featured astrology software.'
+arch=('i686' 'x86_64')
+license=('GPL')
+url=('http://www.openastro.org/')
+depends=('imagemagick' 'python2-dateutil' 'python2-rsvg' 'python2-pytz' 'pyswisseph')
+makedepends=('setuptools')
+optdepends=()
+conflicts=('openastro-dev' 'swisseph_18' 'swisseph-fixstars')
+source=(
+ "openastro.org_"$pkgver".orig.tar.gz::http://www.openastro.org/download.php?file=source&type=openastro"
+ "openastro.org-data_1.6.orig.tar.gz::http://openastro.org/download.php?file=source&type=data"
+ )
+md5sums=('b64d7263b5ab4e5a61b05cf57a2aea5b'
+ 'cd6b05177a454a5e6b8458403725130a')
+
+package() {
+ cd $srcdir"/openastro.org-"$pkgver
+ python2 setup.py install --root=$pkgdir || return 1
+ cd $srcdir"/openastro.org-data-1.6"
+ python2 setup.py install --root=$pkgdir || return 1
+}